;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-------------------------------------------------------------------------
;Counter

[Command]
name = "Counter"
command = ~F, x+a

[Command]
name = "Counter"
command = ~F, y+b

[Command]
name = "Counter"
command = ~F, z+c

[Command]
name = "236Z"
command = z+y+x

;---------------------------------------------------------------------------
; Roll

[Command]
name = "roll_n"
command = ~B, D, DB, x

[Command]
name = "roll_m"
command = ~B, D, DB,  y

[Command]
name = "roll_f"
command = ~B, D, DB, z

;---------------------------------------------------------------------------
; Forward Recovery Roll or Alpha Counter1

[Command]
name = "ac_f_roll_n"
command = ~B, DB, D, x

[Command]
name = "ac_f_roll_m"
command = ~B, DB, D, y

[Command]
name = "ac_f_roll_f"
command = ~B, DB, D, z

;---------------------------------------------------------------------------
; Backward Recovery Roll or Alpha Counter2

[Command]
name = "ac_sweep_b_roll_n"
command = ~B, DB, D, a

[Command]
name = "ac_sweep_b_roll_m"
command = ~B, DB, D, b

[Command]
name = "ac_sweep_b_roll_f"
command = ~B, DB, D, c

;-| Test command |----------------------------------------------------------
[Command]
name = "teste"
command = ~D, a
time = 15

;-| Rolento Hyper Moves |---------------------------------------------------
[Command]
name = "Hyper4"
command = ~D, DF, F, x+y
time = 15

[Command]
name = "Hyper4"
command = ~D, DF, F, y+z
time = 15

[Command]
name = "Hyper4"
command = ~D, DF, F, x+z
time = 15

[Command]
name = "Hyper2"
command = ~D, DF, F, a+b
time = 15

[Command]
name = "Hyper2"
command = ~D, DF, F, b+c
time = 15

[Command]
name = "Hyper2"
command = ~D, DF, F, a+c
time = 15

[Command]
name = "Hyper3"
command = ~D, DB, B, x+y
time = 15

[Command]
name = "Hyper3"
command = ~D, DB, B, y+z
time = 15

[Command]
name = "Hyper3"
command = ~D, DB, B, x+z
time = 15

[Command]
name = "patriotStop"
command = ~$B, x
time = 15

[Command]
name = "patriotStop"
command = ~$B, y
time = 15

[Command]
name = "patriotStop"
command = ~$B, z
time = 15

;-| Rolento Super Moves |---------------------------------------------------
[Command]
name = "DFLP"
command = ~D, DF, F, x
time = 15

[Command]
name = "DFMP"
command = ~D, DF, F, y
time = 15

[Command]
name = "DFHP"
command = ~D, DF, F, z
time = 15

[Command]
name = "weakPatriotCircle"
command = ~D, DF, F, x
time = 15

[Command]
name = "mediumPatriotCircle"
command = ~D, DF, F, y
time = 15

[Command]
name = "strongPatriotCircle"
command = ~D, DF, F, z
time = 15

[Command]
name = "WallLaunch"
command = ~D, DB, B, a
time = 15

[Command]
name = "WallLaunch"
command = ~D, DB, B, b
time = 15

[Command]
name = "WallLaunch"
command = ~D, DB, B, c
time = 15

[Command]
name = "Trip"
command = ~D, DF, F, a
time = 15

[Command]
name = "Trip"
command = ~D, DF, F, b
time = 15

[Command]
name = "Trip"
command = ~D, DF, F, c
time = 15

[Command]
name = "QBLP"
command = ~D, DB, B, x
time = 15

[Command]
name = "QBMP"
command = ~D, DB, B, y
time = 15

[Command]
name = "QBHP"
command = ~D, DB, B, z
time = 15

;-| Super Jump |------------------------------------------------------------
[command]
name = "DU"
command = ~$D,U
time = 50

[command]
name = "DUF"
command = ~$D,UF
time = 15

[command]
name = "DUB"
command = ~$D,UB
time = 15

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_xy"
command = ~D, DF, F, x+y

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_xy"
command = ~D, DB, B, x+y

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "guardpush"
command = x+y
time = 5

[Command]
name = "guardpush"
command = x+z
time = 5

[Command]
name = "guardpush"
command = y+z
time = 5

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;---------------------------------

[Command]
name = "airfollow"
command = U

[Command]
name = "airfollow"
command = UF

[Command]
name = "airfollow" ;Required (do not remove)
command = /$U
time = 1

;---------------------------------------------------------------------------------------------
;Super Jump

[Command]
name = "SJ";"Super_Jump"
command = ~$D, $U

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.

;---------------------------------------------------------------------------
;Artificial Intelligence
;---------------------------------------------------------------------------

[Statedef -1]

;------------------------------
[State -1, AI Activation]
type = varset
triggerall = AILevel > 2
triggerall = (roundstate = 2) && (var(59) = 0)
trigger1 = Random <= ((AILevel-2)*100)
v = 59
value = 1

[State -1, AI Deactivation]
type = varset
triggerall = AIlevel < 7
triggerall = var(59) = 1
trigger1 = Random > ((AILevel-2)*100)
trigger2 = roundstate != 2
v = 59
value = 0

;--|-AI Defense-|-----------------------------------------------------------
[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = S)
trigger1 = (p2bodydist X <= 250) && (random <= 799)
value = 130

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = C)
trigger1 = (p2bodydist X <= 250) && (random <= 799)
value = 131

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = A)
trigger1 = (p2bodydist X <= 250) && (random <= 799)
value = 132

;-|-AI Combo Attempt-|----------------------------------------------
[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = S)
trigger1 = (p2bodydist X <= 20) && (random <= 750)
value = 200

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = S)
trigger1 = (p2bodydist X <= 20) && (random <= 750)
value = 210

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = S)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 230

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = S)
trigger1 = (p2bodydist X <= 7) && (random <= 750)
value = 235

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = S)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 240

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = C)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 400

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = C)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 410

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = C)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 430

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = C)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 440

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = A)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 600

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = A)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 610

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = A)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 630

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (p2movetype = A) && (statetype = A)
trigger1 = (p2bodydist X <= 25) && (random <= 750)
value = 640

;-|-AI Super Attempt-|----------------------------------------------
[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = S) && (random = [0,500])
trigger1 = (p2bodydist x <= 35) && (prevstateno != 5120) && (p2movetype != H) && (statetype != A)
value = 2000

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = S) && (random = [0,500])
trigger1 = (p2bodydist x <= 35) && (prevstateno != 5120) && (p2movetype != H) && (statetype != A)
value = 2005

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = A) && (random = [0,500])
trigger1 = (p2bodydist x <= 25) && (prevstateno != 5120) && (p2movetype != H) && (statetype != A)
trigger2 = stateno = 1030
value = 1100

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = A) && (random = [0,500])
trigger1 = (p2bodydist x <= 25) && (prevstateno != 5120) && (p2movetype != H) && (statetype != A)
trigger2 = stateno = 1030
value = 1101

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = S) && (random = [0,500])
trigger1 = (p2bodydist x <= 70) && (prevstateno != 5120) && (p2movetype != H) && (statetype != A)
value = 1000

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = S) && (random = [0,500])
trigger1 = (p2bodydist x <= 70) && (prevstateno != 5120) && (p2movetype != H) && (statetype != A)
value = 1120

;-|-AI Attempt Hyper-|---------------------------------------------
[State -1]
type = null;ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = S) && (p2statetype != L)
triggerall = (power >= 1000) && (numhelper (9100) = 0) && (random = [0,300])
trigger1 = (prevstateno != 5120) && (numhelper (9200) = 0) && (statetype != A)
value = 3000

type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = S) && (p2statetype != L)
triggerall = (power >= 1000) && (numhelper (9100) = 0) && (random = [0,300])
trigger1 = (p2bodydist x <= 35) && (prevstateno != 5120) && (numhelper (9200) = 0) && (statetype != A)
value = 3100

[State -1]
type = ChangeState
triggerall = (roundstate = 2) && (var(59) != 0)
triggerall = (Ctrl) && (Statetype = S) && (p2statetype != L)
trigger1 = (p2bodydist x <= 50) && (prevstateno != 5120) && (numproj = 0) && (numhelper = 0) && (statetype != A)
trigger1 = (power >= 1000) && (numproj = 0) && (random = [0,300])
value = 2500


;---------------------------------------------------------------------------
;Commands
;---------------------------------------------------------------------------

;-----------------------------

[State -1, Dash Forward]
type = ChangeState
value = 100
triggerall = StateType = S
triggerall = (Ctrl) && (StateNo != 100)
trigger1 = Command = "FF"

;-----------------------------

[State -1, Jump Back]
type = ChangeState
value = 105
triggerall = StateType = S
triggerall = (Ctrl) && (StateNo != 100)
trigger1 = Command = "BB"

;-----------------------------
[State -1, Super Jump]
type = ChangeState
value = 7000
triggerall = Command = "SJ"
trigger1 = StateType = S
trigger1 = ctrl
trigger2 = stateno = 210 && var(19) = 1

;-----------------------------
[State -1, Super Jump]
type = ChangeState
value = 7000
triggerall = Command = "holdup"
trigger1 = stateno = 210 && var(19) = 1

[State -1, Guard Push stand]
type = ChangeState
value = 6300
triggerall = command = "guardpush" && statetype = S
trigger1 = stateno = [150,153]

[State -1, Guard Push crouch]
type = ChangeState
value = 6310
triggerall = command = "guardpush" && statetype = C
trigger1 = stateno = [150,153]

[State -1, Guard Push aerial]
type = ChangeState
value = 6320
triggerall = command = "guardpush" && statetype = A
trigger1 = stateno = [154,155]

;------------------------------------
;AI Guard Push (Standing)
;------------------------------------
[State -1, AI Guard Push]
type = ChangeState
value = 6300
triggerall = Var(59) = 1
triggerall = (StateType = S) && (StateType != L)
triggerall = P2life != 0
trigger1 = StateNo = [150,153]
trigger1 = P2BodyDist X >= 71
trigger1 = Time >= 5

;---------------------------------------------------------------------------
;------------------------ Lie Down Recovery Roll ---------------------------
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Lie Down Forward Recovery Roll

[State -1]
type = ChangeState
value = 832
triggerall = Var(59) != 2
triggerall = command = "holdfwd"
triggerall = alive = 1
triggerall = time = 1
triggerall = life > 0
trigger1 = stateno = 5120

;---------------------------------------------------------------------------
; Lie Down Backward Recovery Roll

[State -1]
type = ChangeState
value = 855
triggerall = Var(59) != 2
triggerall = command = "holdback"
triggerall = time = 1
triggerall = alive = 1
triggerall = life > 0
trigger1 = stateno = 5120


;===========================================================================
;---------------------------------------------------------------------------
 ;Hyper
[State -1, Teste]
type = null;changestate
value = 3000
;triggerall = command = "Hyper"
triggerall = power >= 1000
triggerall = stateno < 2500
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (HitdefAttr = SC, NA, SA) && (MoveContact)

;---------------------------------------------------------------------------
 ;Hyper
[State -1, Teste]
type = changestate
value = 3100
triggerall = command = "Hyper3"
triggerall = power >= 1000
triggerall = stateno < 2500
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (HitdefAttr = SC, NA, SA) && (MoveContact)

;---------------------------------------------------------------------------
 ;Hyper
[State -1, Teste]
type = changestate
value = 4030
triggerall = command = "Hyper4"
triggerall = power >= 1000
triggerall = stateno < 2500
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (HitdefAttr = SC, NA, SA) && (MoveContact)

;---------------------------------------------------------------------------
;Patriot Circle
[State -1, Patriot Circle]
type = changestate
value = 2000
triggerall = command = "weakPatriotCircle" || command = "mediumPatriotCircle" || command = "strongPatriotCircle"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = [200,440]

[State -1, Patriot Circle]
type = changestate
value = 2005
triggerall = command = "weakPatriotCircle" || command = "mediumPatriotCircle" || command = "strongPatriotCircle"
triggerall = statetype = S
trigger1 = stateno = 2000

[State -1, Patriot Circle]
type = changestate
value = 2010
triggerall = command = "weakPatriotCircle" || command = "mediumPatriotCircle" || command = "strongPatriotCircle"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 2005

[State -1, PatriotFinalizerStop]
type = changestate
value = 11
triggerall = statetype != A
triggerall = command = "patriotStop"
trigger1 = ctrl

;---------------------------------------------------------------------------
; Air Projectile
[State -1, ]
type = ChangeState
value = 1100
triggerall = command = "DFLP"
triggerall = command != "holddown"
triggerall = numproj = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 1010
trigger3 = stateno = 1000
trigger4 = stateno = 605
trigger5 = stateno = 610
trigger6= stateno =630
trigger7= stateno =635
trigger8= stateno= 640

;---------------------------------------------------------------------------
; Air Projectile
[State -1, ]
type = ChangeState
value = 1101
triggerall = command = "DFMP"
triggerall = command != "holddown"
triggerall = numproj = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 1010
trigger3 = stateno = 1000
trigger4 = stateno = 605
trigger5 = stateno = 610
trigger6= stateno =630
trigger7= stateno =635
trigger8= stateno= 640
;---------------------------------------------------------------------------
; Air Projectile
[State -1, ]
type = ChangeState
value = 1105
triggerall = command = "DFHP"
triggerall = command != "holddown"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 1010

;---------------------------------------------------------------------------
;Patriot Finalizer
[State -1, Patriot Finalizer]
type = changestate
value = 2500
triggerall = command = "Hyper2";"patriotFinalizer"
triggerall = power >= 1000
triggerall = stateno != 3000
triggerall = stateno != 3100
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (HitdefAttr = SC, NA, SA) && (MoveContact)

;---------------------------------------------------------------------------
;Wall Launch
[State -1, Wall Launch]
type = changestate
value = 1000
triggerall = command = "WallLaunch"
triggerall = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Wall Launch Air
[State -1, Wall Launch]
type = changestate
value = 1001
triggerall = command = "WallLaunch"
triggerall = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Trip
[State -1, Trip]
type = changestate
value = 1200
triggerall = command = "Trip"
triggerall = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Spike
[State -1, Spike rod]
type = changestate
value = 1300
triggerall = command = "holddown" && command = "b"
triggerall = statetype = A
trigger1 = ctrl

;===========================================================================
; Carnal Carry Throw
[State -1, Carnal Carry]
type = ChangeState
value = 900
triggerall = (command="holdfwd" || command="holdback") && (command="z")
triggerall = statetype = S
trigger1 = ctrl = 1
trigger1 = p2bodydist X <= 10
trigger1 = (p2statetype = S)

; Deadly Package
[State -1, Deadly Package]
type = ChangeState
value = 930
triggerall = (command="holdfwd" || command="holdback") && (command="c")
triggerall = statetype = S
trigger1 = ctrl = 1
trigger1 = p2bodydist X <= 10
trigger1 = (p2statetype = S)

; Aerial Deadly Package
[State -1, Aerial Deadly Package]
type = ChangeState
value = 970
triggerall = statetype = A
triggerall = ctrl = 1
triggerall = stateno != 1430 ; Delta Mekong Escape
trigger1 = (command = "holdfwd" || command = "holdback") && (command="c")
trigger1 = p2bodydist X <= 10


;===========================================================================
;This is not a move, but it sets up var(1) to be 1 if conditions are right
;for a combo into a special move (used below).
;Since a lot of special moves rely on the same conditions, this reduces
;redundant logic.
[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(1) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
var(1) = 1

;---------------------------------------------------------------------------
;Stand Medium Kick
[State -1, Stand Medium Kick]
type = ChangeState
value = 236
triggerall = command = "b" && command = "holdfwd"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [200,205]) && movecontact
trigger3 = stateno = 230 && movecontact

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Stand Medium Punch
[State -1, Stand Medium Punch]
type = ChangeState
value = 205
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 230 && movecontact

;---------------------------------------------------------------------------
;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [200,205]) && movecontact
trigger3 = (stateno = [230,235]) && movecontact
trigger4 = (stateno = [2000,2010]) && movehit >= 1

;---------------------------------------------------------------------------
;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact

;---------------------------------------------------------------------------
;Stand Medium Kick
[State -1, Stand Medium Kick]
type = ChangeState
value = 235
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [200,205]) && movecontact
trigger3 = stateno = 230 && movecontact

;---------------------------------------------------------------------------
;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = (stateno = [200,205]) && movecontact
trigger3 = (stateno = [230,235]) && movecontact
trigger4 = (stateno = [2000,2010]) && movecontact

;---------------------------------------------------------------------------
;Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact

;---------------------------------------------------------------------------
;Crouching Medium Punch
[State -1, Crouching Medium Punch]
type = ChangeState
value = 405
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 230 && movecontact
trigger4 = stateno = 400 && movecontact
trigger5 = stateno = 430 && movecontact

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = (stateno = [200,205]) && movecontact
trigger3 = (stateno = [230,235]) && movecontact
trigger4 = (stateno = [400,405]) && movecontact
trigger5 = (stateno = [430,435]) && movecontact

;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger2 = stateno = 400 && movecontact

;---------------------------------------------------------------------------
;Crouching Medium Kick
[State -1, Crouching Medium Kick]
type = ChangeState
value = 435
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = (stateno = [200,205]) && movecontact
trigger3 = stateno = 230 && movecontact
trigger3 = (stateno = [400,405]) && movecontact
trigger4 = stateno = 430 && movecontact

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = statetype = C
trigger1 = ctrl
trigger2 = (stateno = [200,205]) && movecontact
trigger3 = (stateno = [230,235]) && movecontact
trigger4 = (stateno = [400,405]) && movecontact
trigger5 = (stateno = [430,435]) && movecontact

;---------------------------------------------------------------------------
;Jump Light Punch
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Medium Punch
[State -1, Jump Medium Punch]
type = ChangeState
value = 605
triggerall = command = "y"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact
trigger3 = stateno = 630 && movecontact

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "z"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = (stateno = [600,605]) && movecontact
trigger3 = (stateno = [630,635]) && movecontact

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact

;---------------------------------------------------------------------------
;Jump Medium Kick
[State -1, Jump Medium Kick]
type = ChangeState
value = 635
triggerall = command = "b"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = (stateno = [600,610]) && movecontact
trigger3 = stateno = 630 && movecontact

;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "c"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = (stateno = [600,605]) && movecontact
trigger3 = (stateno = [630,635]) && movecontact
